<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'annie',

    /*
     * Package.
     */
    'package'   => 'projects',

    /*
     * Modules.
     */
    'modules'   => ['project', 
'project_item', 
'project_kind_support'],

    'project'       => [
        'model' => [
            'model'                 => \Annie\Projects\Models\Project::class,
            'table'                 => 'projects',
            'presenter'             => \Annie\Projects\Repositories\Presenter\ProjectPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'start_date',  'end_date',  'work_area',  'category_id',  'scale',  'meta_keywords',  'meta_description',  'meta_title',  'hashtags',  'work_area_id',  'programme_id',  'activity_area_id',  'featured',  'show_addon',  'cluster_cost',  'cluster_status',  '2=>closed',  '3=>clossed',  '4=>closed',  'fund_raised',  'title',  'description',  'vector_images',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'projects/project',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Projects',
            'module'    => 'Project',
        ],

    ],

    'project_item'       => [
        'model' => [
            'model'                 => \Annie\Projects\Models\ProjectItem::class,
            'table'                 => 'project_items',
            'presenter'             => \Annie\Projects\Repositories\Presenter\ProjectItemPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'project_id',  'item_id',  'deleted_at',  'updated_at',  'created_at'],
            'translatables'         => [],
            'upload_folder'         => 'projects/project_item',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Projects',
            'module'    => 'ProjectItem',
        ],

    ],

    'project_kind_support'       => [
        'model' => [
            'model'                 => \Annie\Projects\Models\ProjectKindSupport::class,
            'table'                 => 'project_kind_supports',
            'presenter'             => \Annie\Projects\Repositories\Presenter\ProjectKindSupportPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'project_id',  'kind_support_id',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'projects/project_kind_support',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Annie',
            'package'   => 'Projects',
            'module'    => 'ProjectKindSupport',
        ],

    ],
];
