<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('projects::project.name') !!} <small> {!! trans('app.manage') !!} {!! trans('projects::project.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('projects::project.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='projects-project-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('projects/project')!!}">{!! trans('projects::project.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('projects/project?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('projects/project?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('projects/project/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('projects::admin.project.partial.actions')
                    -->
                    @include('projects::admin.project.partial.filter')
                    @include('projects::admin.project.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="projects-project-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="projects-project-check-all"></th>
                        <th data-field="start_date">{!! trans('projects::project.label.start_date')!!}</th>
                    <th data-field="end_date">{!! trans('projects::project.label.end_date')!!}</th>
                    <th data-field="work_area">{!! trans('projects::project.label.work_area')!!}</th>
                    <th data-field="category_id">{!! trans('projects::project.label.category_id')!!}</th>
                    <th data-field="scale">{!! trans('projects::project.label.scale')!!}</th>
                    <th data-field="meta_keywords">{!! trans('projects::project.label.meta_keywords')!!}</th>
                    <th data-field="meta_description">{!! trans('projects::project.label.meta_description')!!}</th>
                    <th data-field="meta_title">{!! trans('projects::project.label.meta_title')!!}</th>
                    <th data-field="hashtags">{!! trans('projects::project.label.hashtags')!!}</th>
                    <th data-field="work_area_id">{!! trans('projects::project.label.work_area_id')!!}</th>
                    <th data-field="programme_id">{!! trans('projects::project.label.programme_id')!!}</th>
                    <th data-field="activity_area_id">{!! trans('projects::project.label.activity_area_id')!!}</th>
                    <th data-field="featured">{!! trans('projects::project.label.featured')!!}</th>
                    <th data-field="show_addon">{!! trans('projects::project.label.show_addon')!!}</th>
                    <th data-field="cluster_cost">{!! trans('projects::project.label.cluster_cost')!!}</th>
                    <th data-field="cluster_status">{!! trans('projects::project.label.cluster_status')!!}</th>
                    <th data-field="2=&gt;closed">{!! trans('projects::project.label.2=&gt;closed')!!}</th>
                    <th data-field="3=&gt;clossed">{!! trans('projects::project.label.3=&gt;clossed')!!}</th>
                    <th data-field="4=&gt;closed">{!! trans('projects::project.label.4=&gt;closed')!!}</th>
                    <th data-field="fund_raised">{!! trans('projects::project.label.fund_raised')!!}</th>
                    <th data-field="title">{!! trans('projects::project.label.title')!!}</th>
                    <th data-field="description">{!! trans('projects::project.label.description')!!}</th>
                    <th data-field="vector_images">{!! trans('projects::project.label.vector_images')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#projects-project-entry', '{!!guard_url('projects/project/0')!!}');
    oTable = $('#projects-project-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('projects/project') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'start_date'},
            {data :'end_date'},
            {data :'work_area'},
            {data :'category_id'},
            {data :'scale'},
            {data :'meta_keywords'},
            {data :'meta_description'},
            {data :'meta_title'},
            {data :'hashtags'},
            {data :'work_area_id'},
            {data :'programme_id'},
            {data :'activity_area_id'},
            {data :'featured'},
            {data :'show_addon'},
            {data :'cluster_cost'},
            {data :'cluster_status'},
            {data :'2=>closed'},
            {data :'3=>clossed'},
            {data :'4=>closed'},
            {data :'fund_raised'},
            {data :'title'},
            {data :'description'},
            {data :'vector_images'},
        ],
        "pageLength": 25
    });

    $('#projects-project-list tbody').on( 'click', 'tr td:not(:first-child)', function (e) {
        e.preventDefault();

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#projects-project-list').DataTable().row( this ).data();
        $('#projects-project-entry').load('{!!guard_url('projects/project')!!}' + '/' + d.id);
    });

    $('#projects-project-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#projects-project-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#projects-project-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#projects-project-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>