<?php

namespace Annie\Projects\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Project policy
        'Annie\Projects\Models\Project' => \Annie\Projects\Policies\ProjectPolicy::class,
// Bind ProjectItem policy
        'Annie\Projects\Models\ProjectItem' => \Annie\Projects\Policies\ProjectItemPolicy::class,
// Bind ProjectKindSupport policy
        'Annie\Projects\Models\ProjectKindSupport' => \Annie\Projects\Policies\ProjectKindSupportPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
