<?php

namespace Annie\Projects\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProjectItemTransformer extends TransformerAbstract
{
    public function transform(\Annie\Projects\Models\ProjectItem $project_item)
    {
        return [
            'id'                => $project_item->getRouteKey(),
            'key'               => [
                'public'    => $project_item->getPublicKey(),
                'route'     => $project_item->getRouteKey(),
            ], 
            'id'                => $project_item->id,
            'project_id'        => $project_item->project_id,
            'item_id'           => $project_item->item_id,
            'deleted_at'        => $project_item->deleted_at,
            'updated_at'        => $project_item->updated_at,
            'created_at'        => $project_item->created_at,
            'url'               => [
                'public'    => trans_url('projects/'.$project_item->getPublicKey()),
                'user'      => guard_url('projects/project_item/'.$project_item->getRouteKey()),
            ], 
            'status'            => trans('app.'.$project_item->status),
            'created_at'        => format_date($project_item->created_at),
            'updated_at'        => format_date($project_item->updated_at),
        ];
    }
}