<?php

namespace Annie\Projects\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProjectKindSupportTransformer extends TransformerAbstract
{
    public function transform(\Annie\Projects\Models\ProjectKindSupport $project_kind_support)
    {
        return [
            'id'                => $project_kind_support->getRouteKey(),
            'key'               => [
                'public'    => $project_kind_support->getPublicKey(),
                'route'     => $project_kind_support->getRouteKey(),
            ], 
            'id'                => $project_kind_support->id,
            'project_id'        => $project_kind_support->project_id,
            'kind_support_id'   => $project_kind_support->kind_support_id,
            'deleted_at'        => $project_kind_support->deleted_at,
            'created_at'        => $project_kind_support->created_at,
            'updated_at'        => $project_kind_support->updated_at,
            'url'               => [
                'public'    => trans_url('projects/'.$project_kind_support->getPublicKey()),
                'user'      => guard_url('projects/project_kind_support/'.$project_kind_support->getRouteKey()),
            ], 
            'status'            => trans('app.'.$project_kind_support->status),
            'created_at'        => format_date($project_kind_support->created_at),
            'updated_at'        => format_date($project_kind_support->updated_at),
        ];
    }
}