<?php

namespace Annie\Projects\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProjectTransformer extends TransformerAbstract
{
    public function transform(\Annie\Projects\Models\Project $project)
    {
        return [
            'id'                => $project->getRouteKey(),
            'key'               => [
                'public'    => $project->getPublicKey(),
                'route'     => $project->getRouteKey(),
            ], 
            'id'                => $project->id,
            'user_id'           => $project->user_id,
            'start_date'        => $project->start_date,
            'end_date'          => $project->end_date,
            'work_area'         => $project->work_area,
            'category_id'       => $project->category_id,
            'scale'             => $project->scale,
            'meta_keywords'     => $project->meta_keywords,
            'meta_description'  => $project->meta_description,
            'meta_title'        => $project->meta_title,
            'hashtags'          => $project->hashtags,
            'work_area_id'      => $project->work_area_id,
            'programme_id'      => $project->programme_id,
            'activity_area_id'  => $project->activity_area_id,
            'featured'          => $project->featured,
            'show_addon'        => $project->show_addon,
            'cluster_cost'      => $project->cluster_cost,
            'cluster_status'    => $project->cluster_status,
            '2=>closed'         => $project->2=>closed,
            '3=>clossed'        => $project->3=>clossed,
            '4=>closed'         => $project->4=>closed,
            'fund_raised'       => $project->fund_raised,
            'title'             => $project->title,
            'description'       => $project->description,
            'vector_images'     => $project->vector_images,
            'deleted_at'        => $project->deleted_at,
            'created_at'        => $project->created_at,
            'updated_at'        => $project->updated_at,
            'url'               => [
                'public'    => trans_url('projects/'.$project->getPublicKey()),
                'user'      => guard_url('projects/project/'.$project->getRouteKey()),
            ], 
            'status'            => trans('app.'.$project->status),
            'created_at'        => format_date($project->created_at),
            'updated_at'        => format_date($project->updated_at),
        ];
    }
}